routes/web.php
<?php

Route::redirect('/', '/login');
Route::get('/home', function () {
    if (session('status')) {
        return redirect()->route('admin.home')->with('status', session('status'));
    }

    return redirect()->route('admin.home');
});

Auth::routes();
// Admin

Route::group(['prefix' => 'admin', 'as' => 'admin.', 'namespace' => 'Admin', 'middleware' => ['auth']], function () {
    Route::get('/', 'HomeController@index')->name('home');
    Route::get('user-alerts/read', 'UserAlertsController@read');
    // Permissions
    Route::delete('permissions/destroy', 'PermissionsController@massDestroy')->name('permissions.massDestroy');
    Route::resource('permissions', 'PermissionsController');

    // Roles
    Route::delete('roles/destroy', 'RolesController@massDestroy')->name('roles.massDestroy');
    Route::resource('roles', 'RolesController');

    // Users
    Route::delete('users/destroy', 'UsersController@massDestroy')->name('users.massDestroy');
    Route::post('users/media', 'UsersController@storeMedia')->name('users.storeMedia');
    Route::post('users/ckmedia', 'UsersController@storeCKEditorImages')->name('users.storeCKEditorImages');
    Route::resource('users', 'UsersController');

    // Audit Logs
    Route::resource('audit-logs', 'AuditLogsController', ['except' => ['create', 'store', 'edit', 'update', 'destroy']]);

    // User Alerts
    Route::delete('user-alerts/destroy', 'UserAlertsController@massDestroy')->name('user-alerts.massDestroy');
    Route::resource('user-alerts', 'UserAlertsController', ['except' => ['edit', 'update']]);

    // Task Statuses
    Route::delete('task-statuses/destroy', 'TaskStatusController@massDestroy')->name('task-statuses.massDestroy');
    Route::resource('task-statuses', 'TaskStatusController');

    // Task Tags
    Route::delete('task-tags/destroy', 'TaskTagController@massDestroy')->name('task-tags.massDestroy');
    Route::resource('task-tags', 'TaskTagController');

    // Tasks
    Route::delete('tasks/destroy', 'TaskController@massDestroy')->name('tasks.massDestroy');
    Route::post('tasks/media', 'TaskController@storeMedia')->name('tasks.storeMedia');
    Route::post('tasks/ckmedia', 'TaskController@storeCKEditorImages')->name('tasks.storeCKEditorImages');
    Route::resource('tasks', 'TaskController');

    // Tasks Calendars
    Route::resource('tasks-calendars', 'TasksCalendarController', ['except' => ['create', 'store', 'edit', 'update', 'show', 'destroy']]);

    // Bureauxes
    Route::delete('bureauxes/destroy', 'BureauxController@massDestroy')->name('bureauxes.massDestroy');
    Route::resource('bureauxes', 'BureauxController');

    // Diploms
    Route::delete('diploms/destroy', 'DiplomController@massDestroy')->name('diploms.massDestroy');
    Route::post('diploms/media', 'DiplomController@storeMedia')->name('diploms.storeMedia');
    Route::post('diploms/ckmedia', 'DiplomController@storeCKEditorImages')->name('diploms.storeCKEditorImages');
    Route::resource('diploms', 'DiplomController');

    // Certificates
    Route::delete('certificates/destroy', 'CertificateController@massDestroy')->name('certificates.massDestroy');
    Route::post('certificates/media', 'CertificateController@storeMedia')->name('certificates.storeMedia');
    Route::post('certificates/ckmedia', 'CertificateController@storeCKEditorImages')->name('certificates.storeCKEditorImages');
    Route::resource('certificates', 'CertificateController');

    // Associations
    Route::delete('associations/destroy', 'AssociationController@massDestroy')->name('associations.massDestroy');
    Route::post('associations/media', 'AssociationController@storeMedia')->name('associations.storeMedia');
    Route::post('associations/ckmedia', 'AssociationController@storeCKEditorImages')->name('associations.storeCKEditorImages');
    Route::resource('associations', 'AssociationController');

    // Ancien Partis
    Route::delete('ancien-partis/destroy', 'AncienPartiController@massDestroy')->name('ancien-partis.massDestroy');
    Route::resource('ancien-partis', 'AncienPartiController');

    // La Ligne Politiques
    Route::delete('la-ligne-politiques/destroy', 'LaLignePolitiqueController@massDestroy')->name('la-ligne-politiques.massDestroy');
    Route::post('la-ligne-politiques/media', 'LaLignePolitiqueController@storeMedia')->name('la-ligne-politiques.storeMedia');
    Route::post('la-ligne-politiques/ckmedia', 'LaLignePolitiqueController@storeCKEditorImages')->name('la-ligne-politiques.storeCKEditorImages');
    Route::resource('la-ligne-politiques', 'LaLignePolitiqueController');

    // Logos
    Route::delete('logos/destroy', 'LogoController@massDestroy')->name('logos.massDestroy');
    Route::post('logos/media', 'LogoController@storeMedia')->name('logos.storeMedia');
    Route::post('logos/ckmedia', 'LogoController@storeCKEditorImages')->name('logos.storeCKEditorImages');
    Route::resource('logos', 'LogoController');

    // The Constitutions
    Route::delete('the-constitutions/destroy', 'TheConstitutionController@massDestroy')->name('the-constitutions.massDestroy');
    Route::post('the-constitutions/media', 'TheConstitutionController@storeMedia')->name('the-constitutions.storeMedia');
    Route::post('the-constitutions/ckmedia', 'TheConstitutionController@storeCKEditorImages')->name('the-constitutions.storeCKEditorImages');
    Route::resource('the-constitutions', 'TheConstitutionController');

    // Videos
    Route::delete('videos/destroy', 'VideoController@massDestroy')->name('videos.massDestroy');
    Route::resource('videos', 'VideoController');

    // Pdfs
    Route::delete('pdfs/destroy', 'PdfController@massDestroy')->name('pdfs.massDestroy');
    Route::post('pdfs/media', 'PdfController@storeMedia')->name('pdfs.storeMedia');
    Route::post('pdfs/ckmedia', 'PdfController@storeCKEditorImages')->name('pdfs.storeCKEditorImages');
    Route::resource('pdfs', 'PdfController');

    // Languages
    Route::delete('languages/destroy', 'LanguageController@massDestroy')->name('languages.massDestroy');
    Route::resource('languages', 'LanguageController');

    // Countries
    Route::delete('countries/destroy', 'CountriesController@massDestroy')->name('countries.massDestroy');
    Route::resource('countries', 'CountriesController');

    // Chat Tests
    Route::delete('chat-tests/destroy', 'ChatTestController@massDestroy')->name('chat-tests.massDestroy');
    Route::resource('chat-tests', 'ChatTestController');

    // Blog Tests
    Route::delete('blog-tests/destroy', 'BlogTestController@massDestroy')->name('blog-tests.massDestroy');
    Route::resource('blog-tests', 'BlogTestController');

    // Member Tests
    Route::delete('member-tests/destroy', 'MemberTestController@massDestroy')->name('member-tests.massDestroy');
    Route::resource('member-tests', 'MemberTestController');

    // Bureau Tests
    Route::delete('bureau-tests/destroy', 'BureauTestController@massDestroy')->name('bureau-tests.massDestroy');
    Route::resource('bureau-tests', 'BureauTestController');

    // Rapportfinancier Tests
    Route::delete('rapportfinancier-tests/destroy', 'RapportfinancierTestController@massDestroy')->name('rapportfinancier-tests.massDestroy');
    Route::resource('rapportfinancier-tests', 'RapportfinancierTestController');

    // Rapport Tests
    Route::delete('rapport-tests/destroy', 'RapportTestController@massDestroy')->name('rapport-tests.massDestroy');
    Route::resource('rapport-tests', 'RapportTestController');

    // Vote Tests
    Route::delete('vote-tests/destroy', 'VoteTestController@massDestroy')->name('vote-tests.massDestroy');
    Route::resource('vote-tests', 'VoteTestController');

    // Conference Tests
    Route::delete('conference-tests/destroy', 'ConferenceTestController@massDestroy')->name('conference-tests.massDestroy');
    Route::resource('conference-tests', 'ConferenceTestController');

    // Gallery Tests
    Route::delete('gallery-tests/destroy', 'GalleryTestController@massDestroy')->name('gallery-tests.massDestroy');
    Route::post('gallery-tests/media', 'GalleryTestController@storeMedia')->name('gallery-tests.storeMedia');
    Route::post('gallery-tests/ckmedia', 'GalleryTestController@storeCKEditorImages')->name('gallery-tests.storeCKEditorImages');
    Route::resource('gallery-tests', 'GalleryTestController');

    // Deputeseventes
    Route::delete('deputeseventes/destroy', 'DeputeseventesController@massDestroy')->name('deputeseventes.massDestroy');
    Route::resource('deputeseventes', 'DeputeseventesController');

    // Documentation Tests
    Route::delete('documentation-tests/destroy', 'DocumentationTestController@massDestroy')->name('documentation-tests.massDestroy');
    Route::resource('documentation-tests', 'DocumentationTestController');

    // Dossiers Tests
    Route::delete('dossiers-tests/destroy', 'DossiersTestController@massDestroy')->name('dossiers-tests.massDestroy');
    Route::resource('dossiers-tests', 'DossiersTestController');

    // Quiz Tests
    Route::delete('quiz-tests/destroy', 'QuizTestController@massDestroy')->name('quiz-tests.massDestroy');
    Route::resource('quiz-tests', 'QuizTestController');

    // Statistices Tests
    Route::delete('statistices-tests/destroy', 'StatisticesTestController@massDestroy')->name('statistices-tests.massDestroy');
    Route::resource('statistices-tests', 'StatisticesTestController');

    // Archives Tests
    Route::delete('archives-tests/destroy', 'ArchivesTestController@massDestroy')->name('archives-tests.massDestroy');
    Route::resource('archives-tests', 'ArchivesTestController');

    // News
    Route::delete('news/destroy', 'NewsController@massDestroy')->name('news.massDestroy');
    Route::post('news/media', 'NewsController@storeMedia')->name('news.storeMedia');
    Route::post('news/ckmedia', 'NewsController@storeCKEditorImages')->name('news.storeCKEditorImages');
    Route::resource('news', 'NewsController');

    // Crm Statuses

app/Http/Controllers/Admin/CountriesController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Model\Component\Country;
use App\Http\Controllers\Controller;
use App\Http\Requests\MassDestroyCountryRequest;
use App\Http\Requests\StoreCountryRequest;
use App\Http\Requests\UpdateCountryRequest;
use Gate;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class CountriesController extends Controller
{
    public function index()
    {
        abort_if(Gate::denies('country_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $countries = Country::all();

        return view('admin.countries.index', compact('countries'));
    }

    public function create()
    {
        abort_if(Gate::denies('country_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.countries.create');
    }

    public function store(StoreCountryRequest $request)
    {
        $country = Country::create($request->all());

        return redirect()->route('admin.countries.index');

    }

    public function edit(Country $country)
    {
        abort_if(Gate::denies('country_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.countries.edit', compact('country'));
    }

    public function update(UpdateCountryRequest $request, Country $country)
    {
        $country->update($request->all());

        return redirect()->route('admin.countries.index');

    }

    public function show(Country $country)
    {
        abort_if(Gate::denies('country_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $country->load('countryUsers', 'countryBureauxes');

        return view('admin.countries.show', compact('country'));
    }

    public function destroy(Country $country)
    {
        abort_if(Gate::denies('country_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $country->delete();

        return back();

    }

    public function massDestroy(MassDestroyCountryRequest $request)
    {
        Country::whereIn('id', request('ids'))->delete();

        return response(null, Response::HTTP_NO_CONTENT);

    }
}

resources/views/admin/countries/relationships/countryBureauxes.blade.php
<div class="m-3">
    @can('bureaux_create')
        <div style="margin-bottom: 10px;" class="row">
            <div class="col-lg-12">
                <a class="btn btn-success" href="{{ route("admin.bureauxes.create") }}">
                    {{ trans('global.add') }} {{ trans('cruds.bureaux.title_singular') }}
                </a>
            </div>
        </div>
    @endcan
    <div class="card">
        <div class="card-header">
            {{ trans('cruds.bureaux.title_singular') }} {{ trans('global.list') }}
        </div>

        <div class="card-body">
            <div class="table-responsive">
                <table class=" table table-bordered table-striped table-hover datatable datatable-Bureaux">
                    <thead>
                        <tr>
                            <th width="10">

                            </th>
                            <th>
                                {{ trans('cruds.bureaux.fields.id') }}
                            </th>
                            <th>
                                {{ trans('cruds.bureaux.fields.bureau') }}
                            </th>
                            <th>
                                {{ trans('cruds.bureaux.fields.state') }}
                            </th>
                            <th>
                                {{ trans('cruds.bureaux.fields.city') }}
                            </th>
                            <th>
                                {{ trans('cruds.bureaux.fields.date_beginn') }}
                            </th>
                            <th>
                                {{ trans('cruds.bureaux.fields.date_end') }}
                            </th>
                            <th>
                                {{ trans('cruds.bureaux.fields.active') }}
                            </th>
                            <th>
                                {{ trans('cruds.bureaux.fields.members') }}
                            </th>
                            <th>
                                {{ trans('cruds.bureaux.fields.country') }}
                            </th>
                            <th>
                                &nbsp;
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($bureauxes as $key => $bureaux)
                            <tr data-entry-id="{{ $bureaux->id }}">
                                <td>

                                </td>
                                <td>
                                    {{ $bureaux->id ?? '' }}
                                </td>
                                <td>
                                    {{ App\Bureaux::BUREAU_SELECT[$bureaux->bureau] ?? '' }}
                                </td>
                                <td>
                                    {{ $bureaux->state ?? '' }}
                                </td>
                                <td>
                                    {{ $bureaux->city ?? '' }}
                                </td>
                                <td>
                                    {{ $bureaux->date_beginn ?? '' }}
                                </td>
                                <td>
                                    {{ $bureaux->date_end ?? '' }}
                                </td>
                                <td>
                                    <span style="display:none">{{ $bureaux->active ?? '' }}</span>
                                    <input type="checkbox" disabled="disabled" {{ $bureaux->active ? 'checked' : '' }}>
                                </td>
                                <td>
                                    @foreach($bureaux->members as $key => $item)
                                        <span class="badge badge-info">{{ $item->name }}</span>
                                    @endforeach
                                </td>
                                <td>
                                    {{ $bureaux->country->name ?? '' }}
                                </td>
                                <td>
                                    @can('bureaux_show')
                                        <a class="btn btn-xs btn-primary" href="{{ route('admin.bureauxes.show', $bureaux->id) }}">
                                            {{ trans('global.view') }}
                                        </a>
                                    @endcan

                                    @can('bureaux_edit')
                                        <a class="btn btn-xs btn-info" href="{{ route('admin.bureauxes.edit', $bureaux->id) }}">
                                            {{ trans('global.edit') }}
                                        </a>
                                    @endcan

                                    @can('bureaux_delete')
                                        <form action="{{ route('admin.bureauxes.destroy', $bureaux->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                            <input type="hidden" name="_method" value="DELETE">
                                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                            <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                        </form>
                                    @endcan

                                </td>

                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('bureaux_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.bureauxes.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  $('.datatable-Bureaux:not(.ajaxTable)').DataTable({ buttons: dtButtons })
    $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
        $($.fn.dataTable.tables(true)).DataTable()
            .columns.adjust();
    });
})

</script>
@endsection

resources/views/admin/countries/relationships/countryUsers.blade.php
<div class="m-3">
    @can('user_create')
        <div style="margin-bottom: 10px;" class="row">
            <div class="col-lg-12">
                <a class="btn btn-success" href="{{ route("admin.users.create") }}">
                    {{ trans('global.add') }} {{ trans('cruds.user.title_singular') }}
                </a>
            </div>
        </div>
    @endcan
    <div class="card">
        <div class="card-header">
            {{ trans('cruds.user.title_singular') }} {{ trans('global.list') }}
        </div>

        <div class="card-body">
            <div class="table-responsive">
                <table class=" table table-bordered table-striped table-hover datatable datatable-User">
                    <thead>
                        <tr>
                            <th width="10">

                            </th>
                            <th>
                                {{ trans('cruds.user.fields.id') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.civilite') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.firstanme') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.name') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.date_naiss') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.approved') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.email') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.email_verified_at') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.roles') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.cin') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.tel') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.adresse') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.ville') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.region') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.country') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.fonction') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.facebook') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.agree') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.date_adhesion') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.photo') }}
                            </th>
                            <th>
                                {{ trans('cruds.user.fields.date_demande') }}
                            </th>
                            <th>
                                &nbsp;
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($users as $key => $user)
                            <tr data-entry-id="{{ $user->id }}">
                                <td>

                                </td>
                                <td>
                                    {{ $user->id ?? '' }}
                                </td>
                                <td>
                                    {{ App\Model\User::CIVILITE_SELECT[$user->civilite] ?? '' }}
                                </td>
                                <td>
                                    {{ $user->firstanme ?? '' }}
                                </td>
                                <td>
                                    {{ $user->name ?? '' }}
                                </td>
                                <td>
                                    {{ $user->date_naiss ?? '' }}
                                </td>
                                <td>
                                    <span style="display:none">{{ $user->approved ?? '' }}</span>
                                    <input type="checkbox" disabled="disabled" {{ $user->approved ? 'checked' : '' }}>
                                </td>
                                <td>
                                    {{ $user->email ?? '' }}
                                </td>
                                <td>
                                    {{ $user->email_verified_at ?? '' }}
                                </td>
                                <td>
                                    @foreach($user->roles as $key => $item)
                                        <span class="badge badge-info">{{ $item->title }}</span>
                                    @endforeach
                                </td>
                                <td>
                                    {{ $user->cin ?? '' }}
                                </td>
                                <td>
                                    {{ $user->tel ?? '' }}
                                </td>
                                <td>
                                    {{ $user->adresse ?? '' }}
                                </td>
                                <td>
                                    {{ $user->ville ?? '' }}
                                </td>
                                <td>
                                    {{ $user->region ?? '' }}
                                </td>
                                <td>
                                    {{ $user->country->name ?? '' }}
                                </td>
                                <td>
                                    {{ App\Model\User::FONCTION_SELECT[$user->fonction] ?? '' }}
                                </td>
                                <td>
                                    {{ $user->facebook ?? '' }}
                                </td>
                                <td>
                                    <span style="display:none">{{ $user->agree ?? '' }}</span>
                                    <input type="checkbox" disabled="disabled" {{ $user->agree ? 'checked' : '' }}>
                                </td>
                                <td>
                                    {{ $user->date_adhesion ?? '' }}
                                </td>
                                <td>
                                    @if($user->photo)
                                        <a href="{{ $user->photo->getUrl() }}" target="_blank">
                                            <img src="{{ $user->photo->getUrl('thumb') }}" width="50px" height="50px">
                                        </a>
                                    @endif
                                </td>
                                <td>
                                    {{ $user->date_demande ?? '' }}
                                </td>
                                <td>
                                    @can('user_show')
                                        <a class="btn btn-xs btn-primary" href="{{ route('admin.users.show', $user->id) }}">
                                            {{ trans('global.view') }}
                                        </a>
                                    @endcan

                                    @can('user_edit')
                                        <a class="btn btn-xs btn-info" href="{{ route('admin.users.edit', $user->id) }}">
                                            {{ trans('global.edit') }}
                                        </a>
                                    @endcan

                                    @can('user_delete')
                                        <form action="{{ route('admin.users.destroy', $user->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                            <input type="hidden" name="_method" value="DELETE">
                                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                            <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                        </form>
                                    @endcan

                                </td>

                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('user_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.users.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  $('.datatable-User:not(.ajaxTable)').DataTable({ buttons: dtButtons })
    $('a[data-toggle="tab"]').on('shown.bs.tab', function(e){
        $($.fn.dataTable.tables(true)).DataTable()
            .columns.adjust();
    });
})

</script>
@endsection